package com.unipi.talepis.protal2023_3_1;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;

public class Student extends BaseObservable {
    private String am;
    private String email;
    private String name;

    public Student() {
    }

    public Student(String am, String email, String name) {
        this.am = am;
        this.email = email;
        this.name = name;
    }

    @Bindable
    public String getAm() {
        return am;
    }

    public void setAm(String am) {
        this.am = am;
        notifyPropertyChanged(BR.am);
    }

    @Bindable
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
        notifyPropertyChanged(BR.email);
    }

    @Bindable
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
        notifyPropertyChanged(BR.name);
    }
}
